diff -Naurp wol-0.7.1.orig/configure.ac wol-0.7.1/configure.ac
--- wol-0.7.1.orig/configure.ac	2004-04-28 19:21:23.000000000 -0700
+++ wol-0.7.1/configure.ac	2011-06-15 15:47:32.000000000 -0700
@@ -193,6 +193,7 @@ gl_MD5 dnl for GNU md5
 AM_FUNC_GETLINE dnl for GNU getline
 AC_CHECK_FUNCS(usleep)
 AC_CHECK_FUNCS(getopt_long) dnl for GNU getopt
+AC_CHECK_FUNCS(getline)
 AC_CHECK_FUNCS(getdelim)
 AC_CHECK_FUNC(inet_aton, [], [
 	dnl check libresolv for inet_aton() as seen on solaris
diff -Naurp wol-0.7.1.orig/lib/getline.c wol-0.7.1/lib/getline.c
--- wol-0.7.1.orig/lib/getline.c	2003-08-23 08:59:52.000000000 -0700
+++ wol-0.7.1/lib/getline.c	2011-06-15 15:51:14.000000000 -0700
@@ -33,7 +33,7 @@ Foundation, Inc., 59 Temple Place - Suit
 #include <stdio.h>
 #include <sys/types.h>
 
-#if defined __GNU_LIBRARY__ && HAVE_GETDELIM
+#if !defined(HAVE_GETLINE) && defined(HAVE_GETDELIM)
 
 ssize_t
 getline (char **lineptr, size_t *n, FILE *stream)
@@ -41,19 +41,23 @@ getline (char **lineptr, size_t *n, FILE
   return getdelim (lineptr, n, '\n', stream);
 }
 
-#else /* ! have getdelim */
+#else
 
 # include "getstr.h"
 
+# ifndef HAVE_GETLINE
 ssize_t
 getline (char **lineptr, size_t *n, FILE *stream)
 {
   return getstr (lineptr, n, stream, '\n', 0, 0);
 }
+# endif
 
+# ifndef HAVE_GETDELIM
 ssize_t
 getdelim (char **lineptr, size_t *n, int delimiter, FILE *stream)
 {
   return getstr (lineptr, n, stream, delimiter, 0, 0);
 }
+# endif
 #endif
diff -Naurp wol-0.7.1.orig/lib/getline.h wol-0.7.1/lib/getline.h
--- wol-0.7.1.orig/lib/getline.h	2002-03-11 09:55:36.000000000 -0800
+++ wol-0.7.1/lib/getline.h	2011-06-15 15:49:06.000000000 -0700
@@ -27,10 +27,12 @@ Foundation, Inc., 59 Temple Place - Suit
 #  endif
 # endif
 
-# if __GLIBC__ < 2
+# ifndef HAVE_GETLINE
 int
 getline PARAMS ((char **_lineptr, size_t *_n, FILE *_stream));
+# endif
 
+# ifndef HAVE_GETDELIM
 int
 getdelim PARAMS ((char **_lineptr, size_t *_n, int _delimiter, FILE *_stream));
 # endif
diff -Naurp wol-0.7.1.orig/lib/getline.h wol-0.7.1/lib/getline.h
--- wol-0.7.1.orig/lib/getpass4.c	2011-06-15 15:56:55.000000000 -0700
+++ wol-0.7.1/lib/getpass4.c	2011-06-15 15:57:26.000000000 -0700
@@ -1,4 +1,6 @@
-#define _GNU_SOURCE
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif /* HAVE_CONFIG_H */
 
 #include <stdio.h>
 #include <termios.h>
